[Testing Update] 2018-03-20 - Firefox, Kernel rt , Hplip

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. This is a another set of pkgs from our last testing announcement . We add a new Firefox, Hplip, some Kernels rt update and regular upstream updates as usual.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.100 [EOL]
  • linux41 4.1.50
  • linux44 4.4.121
  • linux49 4.9.87
  • linux414 4.14.27
  • linux415 4.15.10
  • linux416 4.16-rc5
  • linux-RT-LTS 4.14.24_rt121
  • linux-RT 4.14.24_rt21

Package Updates (Tue Mar 20 22:44:38 CET 2018)

  • testing community x86_64: 148 new and 143 removed package(s)
  • testing core x86_64: 8 new and 8 removed package(s)
  • testing extra x86_64: 157 new and 258 removed package(s)
  • testing multilib x86_64: 10 new and 10 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                         linux414-rt       4.14.24_rt19-1       4.14.27_rt21-1
               linux414-rt-acpi_call              1.1.0-7              1.1.0-8
                linux414-rt-bbswitch                0.8-7                0.8-8
             linux414-rt-broadcom-wl       6.30.223.271-7       6.30.223.271-8
                 linux414-rt-headers       4.14.24_rt19-1       4.14.27_rt21-1
                  linux414-rt-nvidia           1:390.42-1           1:390.42-2
            linux414-rt-nvidia-304xx          1:304.137-7          1:304.137-8
            linux414-rt-nvidia-340xx            340.106-7            340.106-8
                linux414-rt-nvidiabl               0.88-7               0.88-8
                   linux414-rt-r8168           8.045.08-7           8.045.08-8
               linux414-rt-rt3562sta         2.4.1.1_r4-7         2.4.1.1_r4-8
                linux414-rt-tp_smapi               0.41-7               0.41-8
             linux414-rt-vhba-module           20161009-7           20161009-8
linux414-rt-virtualbox-guest-modules              5.2.8-2              5.2.8-3
 linux414-rt-virtualbox-host-modules              5.2.8-2              5.2.8-3
                   maia-cursor-theme           20180315-1           20180317-1
            manjaro-openbox-settings           20180317-2           20180318-2
      manjaro-openbox-basic-settings                    -           20180318-2


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-111            1.1.0-112
                         agda-stdlib               0.14-1               0.15-1
                                c2hs            0.28.3-16            0.28.3-17
                             caprine              2.9.0-1             2.10.0-1
                             certbot             0.22.0-1             0.22.2-1
                      certbot-apache             0.22.0-1             0.22.2-1
              certbot-dns-cloudflare             0.22.0-1             0.22.2-1
                certbot-dns-cloudxns             0.22.0-1             0.22.2-1
            certbot-dns-digitalocean             0.22.0-1             0.22.2-1
                certbot-dns-dnsimple             0.22.0-1             0.22.2-1
             certbot-dns-dnsmadeeasy             0.22.0-1             0.22.2-1
                  certbot-dns-google             0.22.0-1             0.22.2-1
                  certbot-dns-luadns             0.22.0-1             0.22.2-1
                   certbot-dns-nsone             0.22.0-1             0.22.2-1
                 certbot-dns-rfc2136             0.22.0-1             0.22.2-1
                 certbot-dns-route53             0.22.0-1             0.22.2-1
                       certbot-nginx             0.22.0-1             0.22.2-1
                             cryptol             2.5.0-37             2.5.0-39
                              cython               0.28-1             0.28.1-1
                             cython2               0.28-1             0.28.1-1
                          deepin-api             3.1.21-1             3.1.22-1
                       deepin-daemon             3.2.10-2             3.2.11-1
              deepin-desktop-schemas              3.2.8-1              3.2.9-1
                       deepin-go-lib              1.2.5-1              1.2.6-1
                                dfmt              0.6.1-1              0.7.0-1
                               dingo               0.13-3               0.13-4
                             dovecot            2.3.0.1-2            2.3.0.1-3
                            electron              1.8.2-1              1.8.4-1
                                eric              18.02-1              18.03-1
                         eric-common              18.02-1              18.03-1
                        eric-i18n-de              18.02-1              18.03-1
                        eric-i18n-en              18.02-1              18.03-1
                        eric-i18n-es              18.02-1              18.03-1
                        eric-i18n-ru              18.02-1              18.03-1
                              facter              3.9.5-1             3.10.0-1
  firefox-extension-https-everywhere          2018.2.26-1          2018.3.13-1
                         geckodriver             0.19.0-1             0.20.0-1
                            geogebra          6.0.432.0-1          6.0.445.0-1
                           git-annex         6.20180316-1         6.20180316-2
                              gnunet            0.10.1-11            0.10.1-12
                               gnurl             7.58.0-2             7.58.0-3
                       haskell-brick            0.34.1-16            0.34.1-17
                    haskell-cracknum                1.9-3                2.0-1
                      haskell-gnuidn             0.2.2-24             0.2.2-25
                      haskell-hakyll          4.11.0.0-45          4.11.0.0-47
                      haskell-hjsmin           0.2.0.2-22           0.2.0.2-23
                    haskell-hopenpgp            2.5.5-187            2.5.5-188
          haskell-incremental-parser           0.2.5.3-17           0.2.5.3-18
                 haskell-juicypixels            3.2.9.4-3            3.2.9.5-1
         haskell-language-javascript           0.6.0.10-7           0.6.0.11-1
           haskell-monoid-subclasses              0.4.4-7              0.4.6-1
       haskell-network-protocol-xmpp             0.4.8-29             0.4.8-30
                haskell-pandoc-types          1.17.3.1-16           1.17.4.2-1
                         haskell-sbv               7.5-24                7.6-1
                      haskell-shelly              1.7.1-3              1.7.2-1
                     haskell-texmath          0.10.1.1-14          0.10.1.1-16
                         haskell-vty               5.20-5               5.21-1
              haskell-wai-websockets           3.0.1.1-60            3.0.1.2-1
                haskell-yesod-static          1.5.3.1-113          1.5.3.1-114
                          hledger-ui               1.5-58               1.5-59
                         hledger-web              1.5.1-6              1.5.1-7
                      hopenpgp-tools           0.19.5-103           0.19.5-104
                             jenkins              2.111-1              2.112-1
                      libcurl-compat             7.58.0-2             7.59.0-1
                      libcurl-gnutls             7.58.0-2             7.59.0-1
                            libmatio             1.5.11-1             1.5.12-1
      libreoffice-extension-texmaths               0.44-1               0.45-1
                      matrix-synapse             0.26.0-1             0.26.1-1
                            mednafen             0.9.48-1             1.21.1-1
                          metasploit            4.16.44-1            4.16.45-1
                                 nbd               3.17-1               3.17-3
                              octave              4.2.1-9              4.2.2-1
                              pandoc             2.1.2-20              2.1.3-2
                     pandoc-citeproc          0.13.0.1-41          0.13.0.1-43
                     pandoc-crossref           0.3.0.1-76            0.3.0.3-2
                  perl-text-template               1.51-1               1.52-1
                         pidgin-sipe             1.23.1-1             1.23.2-1
                               pound                2.7-5                2.7-6
                              puppet              5.3.5-1              5.4.0-1
                             pyflame              1.3.1-1              1.6.3-1
                         python-acme             0.22.0-1             0.22.2-1
         python-cryptography-vectors              2.1.4-1                2.2-1
                   python-hypothesis             3.49.1-1             3.50.1-1
                       python-imdbpy                6.4-1              6.4.1-1
                      python-oslo-db             4.34.0-1             4.35.0-1
                  python-pycontracts              1.8.2-1              1.8.3-1
                python-pytest-flake8              0.9.1-1              1.0.0-1
                python-pytest-runner                4.0-1                4.2-1
               python-pytest-twisted                1.5-1              1.7.1-1
               python-setuptools-scm             1.15.7-1             1.16.1-1
                         python-xlib               0.21-1               0.22-1
                     python-zeroconf             0.20.0-1             0.20.0-2
                        python2-acme             0.22.0-1             0.22.2-1
        python2-cryptography-vectors              2.1.4-1                2.2-1
                        python2-eric              18.02-1              18.03-1
                  python2-hypothesis             3.49.1-1             3.50.1-1
                        python2-ldap             2.4.40-1              3.0.0-1
                     python2-oslo-db             4.34.0-1             4.35.0-1
                 python2-pycontracts              1.8.2-1              1.8.3-1
               python2-pytest-flake8              0.9.1-1              1.0.0-1
               python2-pytest-runner                4.0-1                4.2-1
              python2-pytest-twisted                1.5-1              1.7.1-1
              python2-setuptools-scm             1.15.7-1             1.16.1-1
                       python2-twine             1.10.0-1             1.11.0-1
                        python2-xlib               0.21-1               0.22-1
                        python2-yapf             0.20.2-1             0.21.0-1
                    python2-zeroconf             0.20.0-1                    -
                         qutebrowser              1.2.0-1              1.2.1-1
                              rclone               1.39-1               1.40-1
                          ruby-async              1.2.2-1              1.3.0-1
                       ruby-async-io              1.3.0-1              1.4.0-1
                      ruby-nats-pure              0.2.4-2              0.4.0-1
                          ruby-nio4r              2.2.0-1              2.3.0-1
                              stella              5.0.2-1              5.1.1-1
                      tamarin-prover             1.2.3-21             1.2.3-22
                     ttf-inconsolata          1:2.0.0.1-2          1:2.0.0.1-3
                               twine             1.10.0-1             1.11.0-1
                           uglify-js             3.3.15-1             3.3.16-1
                       vim-gitgutter        487.7222649-1        490.37bdd03-1
                             weechat              2.0.1-2                2.1-1
                       wireshark-cli              2.5.0-1              2.5.1-1
                    wireshark-common              2.5.0-1              2.5.1-1
                       wireshark-gtk              2.5.0-1              2.5.1-1
                        wireshark-qt              2.5.0-1              2.5.1-1
                                yapf             0.20.2-1             0.21.0-1
                                 zim               0.67-1               0.68-1
                               gajim                    -              1.0.0-1
               haskell-hspec-contrib                    -              0.4.0-1
                         python-ldap                    -              3.0.0-1
                       python-nbxmpp                    -              0.6.4-1
                      python2-nbxmpp                    -              0.6.4-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                            linux316            3.16.55-1            3.16.56-1
                    linux316-headers            3.16.55-1            3.16.56-1
                            linux318            3.18.99-1           3.18.100-1
                    linux318-headers            3.18.99-1           3.18.100-1
                      manjaro-system           20180318-1           20180319-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                                curl             7.58.0-2             7.59.0-2
                              libpsl             0.20.0-1             0.20.1-1
                            libtirpc              1.0.2-3              1.0.3-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                             firefox             59.0.1-0                    -
                    firefox-i18n-ach             59.0.1-0                    -
                     firefox-i18n-af             59.0.1-0                    -
                     firefox-i18n-an             59.0.1-0                    -
                     firefox-i18n-ar             59.0.1-0                    -
                     firefox-i18n-as             59.0.1-0                    -
                    firefox-i18n-ast             59.0.1-0                    -
                     firefox-i18n-az             59.0.1-0                    -
                     firefox-i18n-be             59.0.1-0                    -
                     firefox-i18n-bg             59.0.1-0                    -
                  firefox-i18n-bn-bd             59.0.1-0                    -
                  firefox-i18n-bn-in             59.0.1-0                    -
                     firefox-i18n-br             59.0.1-0                    -
                     firefox-i18n-bs             59.0.1-0                    -
                     firefox-i18n-ca             59.0.1-0                    -
                    firefox-i18n-cak             59.0.1-0                    -
                     firefox-i18n-cs             59.0.1-0                    -
                     firefox-i18n-cy             59.0.1-0                    -
                     firefox-i18n-da             59.0.1-0                    -
                     firefox-i18n-de             59.0.1-0                    -
                    firefox-i18n-dsb             59.0.1-0                    -
                     firefox-i18n-el             59.0.1-0                    -
                  firefox-i18n-en-gb             59.0.1-0                    -
                  firefox-i18n-en-us             59.0.1-0                    -
                  firefox-i18n-en-za             59.0.1-0                    -
                     firefox-i18n-eo             59.0.1-0                    -
                  firefox-i18n-es-ar             59.0.1-0                    -
                  firefox-i18n-es-cl             59.0.1-0                    -
                  firefox-i18n-es-es             59.0.1-0                    -
                  firefox-i18n-es-mx             59.0.1-0                    -
                     firefox-i18n-et             59.0.1-0                    -
                     firefox-i18n-eu             59.0.1-0                    -
                     firefox-i18n-fa             59.0.1-0                    -
                     firefox-i18n-ff             59.0.1-0                    -
                     firefox-i18n-fi             59.0.1-0                    -
                     firefox-i18n-fr             59.0.1-0                    -
                  firefox-i18n-fy-nl             59.0.1-0                    -
                  firefox-i18n-ga-ie             59.0.1-0                    -
                     firefox-i18n-gd             59.0.1-0                    -
                     firefox-i18n-gl             59.0.1-0                    -
                     firefox-i18n-gn             59.0.1-0                    -
                  firefox-i18n-gu-in             59.0.1-0                    -
                     firefox-i18n-he             59.0.1-0                    -
                  firefox-i18n-hi-in             59.0.1-0                    -
                     firefox-i18n-hr             59.0.1-0                    -
                    firefox-i18n-hsb             59.0.1-0                    -
                     firefox-i18n-hu             59.0.1-0                    -
                  firefox-i18n-hy-am             59.0.1-0                    -
                     firefox-i18n-id             59.0.1-0                    -
                     firefox-i18n-is             59.0.1-0                    -
                     firefox-i18n-it             59.0.1-0                    -
                     firefox-i18n-ja             59.0.1-0                    -
                     firefox-i18n-ka             59.0.1-0                    -
                    firefox-i18n-kab             59.0.1-0                    -
                     firefox-i18n-kk             59.0.1-0                    -
                     firefox-i18n-km             59.0.1-0                    -
                     firefox-i18n-kn             59.0.1-0                    -
                     firefox-i18n-ko             59.0.1-0                    -
                    firefox-i18n-lij             59.0.1-0                    -
                     firefox-i18n-lt             59.0.1-0                    -
                     firefox-i18n-lv             59.0.1-0                    -
                    firefox-i18n-mai             59.0.1-0                    -
                     firefox-i18n-mk             59.0.1-0                    -
                     firefox-i18n-ml             59.0.1-0                    -
                     firefox-i18n-mr             59.0.1-0                    -
                     firefox-i18n-ms             59.0.1-0                    -
                     firefox-i18n-my             59.0.1-0                    -
                  firefox-i18n-nb-no             59.0.1-0                    -
                     firefox-i18n-nl             59.0.1-0                    -
                  firefox-i18n-nn-no             59.0.1-0                    -
                     firefox-i18n-or             59.0.1-0                    -
                  firefox-i18n-pa-in             59.0.1-0                    -
                     firefox-i18n-pl             59.0.1-0                    -
                  firefox-i18n-pt-br             59.0.1-0                    -
                  firefox-i18n-pt-pt             59.0.1-0                    -
                     firefox-i18n-rm             59.0.1-0                    -
                     firefox-i18n-ro             59.0.1-0                    -
                     firefox-i18n-ru             59.0.1-0                    -
                     firefox-i18n-si             59.0.1-0                    -
                     firefox-i18n-sk             59.0.1-0                    -
                     firefox-i18n-sl             59.0.1-0                    -
                    firefox-i18n-son             59.0.1-0                    -
                     firefox-i18n-sq             59.0.1-0                    -
                     firefox-i18n-sr             59.0.1-0                    -
                  firefox-i18n-sv-se             59.0.1-0                    -
                     firefox-i18n-ta             59.0.1-0                    -
                     firefox-i18n-te             59.0.1-0                    -
                     firefox-i18n-th             59.0.1-0                    -
                     firefox-i18n-tr             59.0.1-0                    -
                     firefox-i18n-uk             59.0.1-0                    -
                     firefox-i18n-ur             59.0.1-0                    -
                     firefox-i18n-uz             59.0.1-0                    -
                     firefox-i18n-vi             59.0.1-0                    -
                     firefox-i18n-xh             59.0.1-0                    -
                  firefox-i18n-zh-cn             59.0.1-0                    -
                  firefox-i18n-zh-tw             59.0.1-0                    -
                        gtk3-classic            3.22.29-1            3.22.29-2
                  linux316-acpi_call             1.1.0-40             1.1.0-41
                   linux316-bbswitch               0.8-39               0.8-40
                linux316-broadcom-wl      6.30.223.271-19      6.30.223.271-20
                   linux316-catalyst     1:15.201.1151-28     1:15.201.1151-29
                linux316-ndiswrapper              1.61-19              1.61-20
                     linux316-nvidia           1:390.42-1           1:390.42-2
               linux316-nvidia-304xx         1:304.137-10         1:304.137-11
               linux316-nvidia-340xx            340.106-5            340.106-6
                   linux316-nvidiabl              0.88-29              0.88-30
      linux316-open-vm-tools-modules      2:2013.09.16-39      2:2013.09.16-40
                      linux316-r8168           8.045.08-5           8.045.08-6
                  linux316-rt3562sta        2.4.1.1_r4-19        2.4.1.1_r4-20
                        linux316-spl              0.7.6-1              0.7.6-2
                   linux316-tp_smapi              0.41-39              0.41-40
                linux316-vhba-module          20161009-19          20161009-20
   linux316-virtualbox-guest-modules              5.2.8-2              5.2.8-3
    linux316-virtualbox-host-modules              5.2.8-2              5.2.8-3
                        linux316-zfs              0.7.6-1              0.7.6-2
                               solid           5.43.0-1.1                    -


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                               cmake             3.10.2-2             3.10.3-1
                              colord   1.4.1+6+gf08c25d-1              1.4.2-1
                             dnsmasq               2.78-2               2.79-1
                       enlightenment             0.22.1-1             0.22.2-1
                              exempi   2.4.3+2+g65a8492-1              2.4.5-1
                             firefox               59.0-2             59.0.1-1
                    firefox-i18n-ach               59.0-1             59.0.1-1
                     firefox-i18n-af               59.0-1             59.0.1-1
                     firefox-i18n-an               59.0-1             59.0.1-1
                     firefox-i18n-ar               59.0-1             59.0.1-1
                     firefox-i18n-as               59.0-1             59.0.1-1
                    firefox-i18n-ast               59.0-1             59.0.1-1
                     firefox-i18n-az               59.0-1             59.0.1-1
                     firefox-i18n-be               59.0-1             59.0.1-1
                     firefox-i18n-bg               59.0-1             59.0.1-1
                  firefox-i18n-bn-bd               59.0-1             59.0.1-1
                  firefox-i18n-bn-in               59.0-1             59.0.1-1
                     firefox-i18n-br               59.0-1             59.0.1-1
                     firefox-i18n-bs               59.0-1             59.0.1-1
                     firefox-i18n-ca               59.0-1             59.0.1-1
                    firefox-i18n-cak               59.0-1             59.0.1-1
                     firefox-i18n-cs               59.0-1             59.0.1-1
                     firefox-i18n-cy               59.0-1             59.0.1-1
                     firefox-i18n-da               59.0-1             59.0.1-1
                     firefox-i18n-de               59.0-1             59.0.1-1
                    firefox-i18n-dsb               59.0-1             59.0.1-1
                     firefox-i18n-el               59.0-1             59.0.1-1
                  firefox-i18n-en-gb               59.0-1             59.0.1-1
                  firefox-i18n-en-us               59.0-1             59.0.1-1
                  firefox-i18n-en-za               59.0-1             59.0.1-1
                     firefox-i18n-eo               59.0-1             59.0.1-1
                  firefox-i18n-es-ar               59.0-1             59.0.1-1
                  firefox-i18n-es-cl               59.0-1             59.0.1-1
                  firefox-i18n-es-es               59.0-1             59.0.1-1
                  firefox-i18n-es-mx               59.0-1             59.0.1-1
                     firefox-i18n-et               59.0-1             59.0.1-1
                     firefox-i18n-eu               59.0-1             59.0.1-1
                     firefox-i18n-fa               59.0-1             59.0.1-1
                     firefox-i18n-ff               59.0-1             59.0.1-1
                     firefox-i18n-fi               59.0-1             59.0.1-1
                     firefox-i18n-fr               59.0-1             59.0.1-1
                  firefox-i18n-fy-nl               59.0-1             59.0.1-1
                  firefox-i18n-ga-ie               59.0-1             59.0.1-1
                     firefox-i18n-gd               59.0-1             59.0.1-1
                     firefox-i18n-gl               59.0-1             59.0.1-1
                     firefox-i18n-gn               59.0-1             59.0.1-1
                  firefox-i18n-gu-in               59.0-1             59.0.1-1
                     firefox-i18n-he               59.0-1             59.0.1-1
                  firefox-i18n-hi-in               59.0-1             59.0.1-1
                     firefox-i18n-hr               59.0-1             59.0.1-1
                    firefox-i18n-hsb               59.0-1             59.0.1-1
                     firefox-i18n-hu               59.0-1             59.0.1-1
                  firefox-i18n-hy-am               59.0-1             59.0.1-1
                     firefox-i18n-id               59.0-1             59.0.1-1
                     firefox-i18n-is               59.0-1             59.0.1-1
                     firefox-i18n-it               59.0-1             59.0.1-1
                     firefox-i18n-ja               59.0-1             59.0.1-1
                     firefox-i18n-ka               59.0-1             59.0.1-1
                    firefox-i18n-kab               59.0-1             59.0.1-1
                     firefox-i18n-kk               59.0-1             59.0.1-1
                     firefox-i18n-km               59.0-1             59.0.1-1
                     firefox-i18n-kn               59.0-1             59.0.1-1
                     firefox-i18n-ko               59.0-1             59.0.1-1
                    firefox-i18n-lij               59.0-1             59.0.1-1
                     firefox-i18n-lt               59.0-1             59.0.1-1
                     firefox-i18n-lv               59.0-1             59.0.1-1
                    firefox-i18n-mai               59.0-1             59.0.1-1
                     firefox-i18n-mk               59.0-1             59.0.1-1
                     firefox-i18n-ml               59.0-1             59.0.1-1
                     firefox-i18n-mr               59.0-1             59.0.1-1
                     firefox-i18n-ms               59.0-1             59.0.1-1
                     firefox-i18n-my               59.0-1             59.0.1-1
                  firefox-i18n-nb-no               59.0-1             59.0.1-1
                     firefox-i18n-nl               59.0-1             59.0.1-1
                  firefox-i18n-nn-no               59.0-1             59.0.1-1
                     firefox-i18n-or               59.0-1             59.0.1-1
                  firefox-i18n-pa-in               59.0-1             59.0.1-1
                     firefox-i18n-pl               59.0-1             59.0.1-1
                  firefox-i18n-pt-br               59.0-1             59.0.1-1
                  firefox-i18n-pt-pt               59.0-1             59.0.1-1
                     firefox-i18n-rm               59.0-1             59.0.1-1
                     firefox-i18n-ro               59.0-1             59.0.1-1
                     firefox-i18n-ru               59.0-1             59.0.1-1
                     firefox-i18n-si               59.0-1             59.0.1-1
                     firefox-i18n-sk               59.0-1             59.0.1-1
                     firefox-i18n-sl               59.0-1             59.0.1-1
                    firefox-i18n-son               59.0-1             59.0.1-1
                     firefox-i18n-sq               59.0-1             59.0.1-1
                     firefox-i18n-sr               59.0-1             59.0.1-1
                  firefox-i18n-sv-se               59.0-1             59.0.1-1
                     firefox-i18n-ta               59.0-1             59.0.1-1
                     firefox-i18n-te               59.0-1             59.0.1-1
                     firefox-i18n-th               59.0-1             59.0.1-1
                     firefox-i18n-tr               59.0-1             59.0.1-1
                     firefox-i18n-uk               59.0-1             59.0.1-1
                     firefox-i18n-ur               59.0-1             59.0.1-1
                     firefox-i18n-uz               59.0-1             59.0.1-1
                     firefox-i18n-vi               59.0-1             59.0.1-1
                     firefox-i18n-xh               59.0-1             59.0.1-1
                  firefox-i18n-zh-cn               59.0-1             59.0.1-1
                  firefox-i18n-zh-tw               59.0-1             59.0.1-1
                     flatpak-builder             0.10.6-1             0.10.9-1
                               gajim             0.16.9-1                    -
                    gnome-calculator             3.26.0-2             3.26.0-3
                               hplip            3.17.11-1             3.18.3-1
                         imagemagick           7.0.7.26-1           7.0.7.27-1
                     imagemagick-doc           7.0.7.26-1           7.0.7.27-1
                        imagemagick6           6.9.9.38-1           6.9.9.39-2
                           libbluray              1.0.1-1              1.0.2-1
                             libgit2           1:0.26.0-1           1:0.26.3-1
                  libhttpseverywhere              0.8.1-1              0.8.2-1
                             libical              3.0.1-1              3.0.3-1
                           libmagick           7.0.7.26-1           7.0.7.27-1
                          libmagick6           6.9.9.38-1           6.9.9.39-2
                         libmicrodns              0.0.8-1             0.0.10-1
                               libnm             1.10.6-1             1.10.6-2
                          libnm-glib             1.10.6-1             1.10.6-2
                             libpqxx              6.1.0-1              6.1.1-1
                            libxcomp           3.5.0.33-2          3.5.99.16-1
                                mono            5.4.1.7-2         5.10.0.160-1
                      networkmanager             1.10.6-1             1.10.6-2
                    noto-fonts-emoji           20180102-1           20180102-2
                          nx-headers           3.5.0.33-2          3.5.99.16-1
                              nx-x11           3.5.0.33-2          3.5.99.16-1
                         nx-xcompext           3.5.0.33-2                    -
                             nxagent           3.5.0.33-2          3.5.99.16-1
                             nxproxy           3.5.0.33-2          3.5.99.16-1
                            perl-dbi              1.640-1              1.641-1
                         perl-libwww               6.31-1               6.33-1
                     perl-xml-simple               2.24-3               2.25-1
                        python-cairo             1.16.2-1             1.16.3-1
                 python-cryptography              2.1.4-1                2.2-1
                       python-nbxmpp              0.6.3-1                    -
                   python-setuptools           1:38.6.0-1           1:39.0.1-1
                       python2-cairo             1.16.2-1             1.16.3-1
                python2-cryptography              2.1.4-1                2.2-1
                      python2-nbxmpp              0.6.3-1                    -
                  python2-setuptools           1:38.6.0-1           1:39.0.1-1
                              trayer              1.1.7-1              1.1.8-1
                                wget             1.19.4-2             1.19.4-3
                      xfce4-settings             4.12.2-1             4.12.3-1
                          xorg-xinit              1.4.0-2              1.4.0-3


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                  lib32-gtk3-classic            3.22.29-1            3.22.29-3


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                        lib32-colord              1.4.1-1              1.4.2-1
                          lib32-curl             7.58.0-2             7.59.0-1
                lib32-libcurl-compat             7.58.0-2             7.59.0-1
                lib32-libcurl-gnutls             7.58.0-2             7.59.0-1
                        lib32-libpsl             0.20.0-1             0.20.1-1
                  lib32-libunistring              0.9.8-1              0.9.9-1
                     lib32-libvorbis              1.3.5-1              1.3.6-1
                                wine                3.3-1                3.4-1
                   wine-staging-nine                3.3-2                3.4-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


[Testing Update] 2018-03-21 - Kernels, Firefox, GCC, VIM, Python, Haskell
#2

Wiki post


#3

Failed to commit transaction:
conflicting files:
libpsl: /usr/lib/libpsl.so.5 already exists in filesystem
I get this error.


#4

I usually solve this kind of problem by backing up the file, deleting the original and doing the upgrade again.


#5

On my main computer

A. New issues

Nothing new to report so far. The transition from firefox 59.0.1-0 package (doesn’t contain distribution.ini file) to firefox 59.0.1-1 package (shipped with distribution.ini) went flawlessly on my machine.

Content of firefox 59.0.1-1


I saw that we got a new version of manjaro-system (20180319-1). I didn’t received “Fix firefox upgrade…” message; it’s normal because previous version (20180318-1) we got as a quick release already deleted distribution.ini file.

Complete Pamac details

Synchronizing package databases…
Refreshing DEB_Arch_Extra.db…
Refreshing DEB_Arch_Extra.files…
Starting full system upgrade…

Preparing…
Resolving dependencies…
Checking inter-conflicts…
Downloading…
Downloading manjaro-system-20180319-1-any.pkg.tar.xz…
Checking keyring…
Checking integrity…
Loading packages files…
Checking file conflicts…
Checking available disk space…
Upgrading manjaro-system (20180318-1 -> 20180319-1)…
Running post-transaction hooks…
Arming ConditionNeedsUpdate…
Starting full system upgrade…
Resolving dependencies…
Checking inter-conflicts…
Downloading…
Downloading libtirpc-1.0.3-1-x86_64.pkg.tar.xz…
Downloading libpsl-0.20.1-1-x86_64.pkg.tar.xz…
Downloading curl-7.59.0-2-x86_64.pkg.tar.xz…
Downloading colord-1.4.2-1-x86_64.pkg.tar.xz…
Downloading dnsmasq-2.79-1-x86_64.pkg.tar.xz…
Downloading exempi-2.4.5-1-x86_64.pkg.tar.xz…
Downloading libbluray-1.0.2-1-x86_64.pkg.tar.xz…
Downloading firefox-59.0.1-1-x86_64.pkg.tar.xz…
Downloading firefox-i18n-en-us-59.0.1-1-any.pkg.tar.xz…
Downloading perl-dbi-1.641-1-x86_64.pkg.tar.xz…
Downloading libmagick-7.0.7.27-1-x86_64.pkg.tar.xz…
Downloading imagemagick-7.0.7.27-1-x86_64.pkg.tar.xz…
Downloading hplip-3.18.3-1-x86_64.pkg.tar.xz…
Downloading libical-3.0.3-1-x86_64.pkg.tar.xz…
Downloading libnm-1.10.6-2-x86_64.pkg.tar.xz…
Downloading libnm-glib-1.10.6-2-x86_64.pkg.tar.xz…
Downloading networkmanager-1.10.6-2-x86_64.pkg.tar.xz…
Downloading perl-xml-simple-2.25-1-any.pkg.tar.xz…
Downloading python-cairo-1.16.3-1-x86_64.pkg.tar.xz…
Downloading python-setuptools-1:39.0.1-1-any.pkg.tar.xz…
Downloading python2-cairo-1.16.3-1-x86_64.pkg.tar.xz…
Downloading solid-5.44.0-1-x86_64.pkg.tar.xz…
Downloading wget-1.19.4-3-x86_64.pkg.tar.xz…
Downloading xorg-xinit-1.4.0-3-x86_64.pkg.tar.xz…
Downloading ttf-inconsolata-1:2.0.0.1-3-any.pkg.tar.xz…
Downloading wireshark-cli-2.5.1-1-x86_64.pkg.tar.xz…
Downloading wireshark-common-2.5.1-1-x86_64.pkg.tar.xz…
Downloading wireshark-gtk-2.5.1-1-x86_64.pkg.tar.xz…
Downloading lib32-libvorbis-1.3.6-1-x86_64.pkg.tar.xz…
Checking keyring…
Checking integrity…
Loading packages files…
Checking file conflicts…
Checking available disk space…
Running pre-transaction hooks…
Remove Firefox Distribution Settings
Upgrading libtirpc (1.0.2-3 -> 1.0.3-1)…
Upgrading colord (1.4.1+6+gf08c25d-1 -> 1.4.2-1)…
Upgrading libpsl (0.20.0-1 -> 0.20.1-1)…
Upgrading curl (7.58.0-2 -> 7.59.0-2)…
Upgrading dnsmasq (2.78-2 -> 2.79-1)…
Upgrading exempi (2.4.3+2+g65a8492-1 -> 2.4.5-1)…
Upgrading libbluray (1.0.1-1 -> 1.0.2-1)…
Upgrading firefox (59.0.1-0 -> 59.0.1-1)…
Upgrading firefox-i18n-en-us (59.0.1-0 -> 59.0.1-1)…
Upgrading perl-dbi (1.640-1 -> 1.641-1)…
Upgrading libmagick (7.0.7.26-1 -> 7.0.7.27-1)…
Upgrading imagemagick (7.0.7.26-1 -> 7.0.7.27-1)…
Upgrading hplip (3.17.11-1 -> 3.18.3-1)…
Upgrading lib32-libvorbis (1.3.5-1 -> 1.3.6-1)…
Upgrading libical (3.0.1-1 -> 3.0.3-1)…
Upgrading libnm (1.10.6-1 -> 1.10.6-2)…
Upgrading libnm-glib (1.10.6-1 -> 1.10.6-2)…
Upgrading networkmanager (1.10.6-1 -> 1.10.6-2)…
Upgrading perl-xml-simple (2.24-3 -> 2.25-1)…
Upgrading python-cairo (1.16.2-1 -> 1.16.3-1)…
Upgrading python-setuptools (1:38.6.0-1 -> 1:39.0.1-1)…
Upgrading python2-cairo (1.16.2-1 -> 1.16.3-1)…
Upgrading solid (5.43.0-1.1 -> 5.44.0-1)…
Upgrading ttf-inconsolata (1:2.0.0.1-2 -> 1:2.0.0.1-3)…
Upgrading wget (1.19.4-2 -> 1.19.4-3)…
Upgrading wireshark-cli (2.5.0-1 -> 2.5.1-1)…
Upgrading wireshark-common (2.5.0-1 -> 2.5.1-1)…
Upgrading wireshark-gtk (2.5.0-1 -> 2.5.1-1)…
Upgrading xorg-xinit (1.4.0-2 -> 1.4.0-3)…
Running post-transaction hooks…
Warn about old perl modules
Copy Firefox Distribution Settings
Updating fontconfig cache…
Compiling GSettings XML schema files…
Updating icon theme caches…
Updating 32-bit fontconfig cache…
Reloading system manager configuration…
Creating system user accounts…
Creating temporary files…
Reloading device manager configuration…
Arming ConditionNeedsUpdate…
Updating the info directory file…
Updating the desktop file MIME type cache…
Updating the MIME type database…
Updating X fontdir indices…
Transaction successfully finished.

Post-upgrade code of current version of manjaro-system that concerns Firefox
post_upgrade() {
	# Fix Firefox upgrading
	pacman -Q firefox &> /tmp/cmd1
	if [ "$(vercmp $(grep 'firefox' /tmp/cmd1 | cut -d' ' -f2) 59.0.1-0)" -le 0 ]; then
		if [ -e "/usr/lib/firefox/distribution/distribution.ini" ]; then
			msg "Fix firefox upgrade ..."
			/usr/bin/rm -f /usr/lib/firefox/distribution/distribution.ini
		fi
fi

I hope the firefox saga will end soon!

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac

Intel i5-6400
Nvidia Geforce GTX 970

=============================

According to upstream, libpsl got incremented to so.6 by error in version 0.20.0. They decided to go back to so.5 in 0.20.1.

Content of libpsl 0.20.0-1

0-1-content

Content of libpsl 0.20.1-1

1-1-content

The file conflict is caused by the presence of a file named libpsl.so.5 that isn’t owned by the version of libpsl package that is currently installed on your system. I presume you have created libpsl.so.5 manually. Therefore, as Genos suggested, you can backup the problematic file, then deleting it (or renaming it with a .old at the end, it also works) and trying to update your whole system again.


#6

thanks for the reply but if I delete the mentioned file my network manager stops working.


#7

It will be replaced while making the update, but in order the update to work you have to remove it. After all will come back to normal.

On topic. No issues here!


#8

yes but I cannot update if I remove the file. No network manager…


#9

If that file is missing when you boot your system, the Network Manager will not work. While your system booted and your Network Manager works, removing that file will not break the Network. After the update is done, that file you just deleted will pe replaced by the update, so the next reboot will not affect Network Manager. Hope that’s more clear now :slight_smile:


#10

If I follow this scenario, deleting the libpsl.so.5 file, I get this error.
pacman: error while loading shared libraries: libpsl.so.5: cannot open shared object file: No such file or directory. Still I cannot update. I remembered now that on a previous update I issued this command as advised in this forum: $ sudo ln -sf /usr/lib/libpsl.so.6 /usr/lib/libpsl.so.5 . maybe something weird happened there?


#11

Yes, you are right but might want to try this solution then:


#12

Oh god. I guess we really have no choice but using –force then. This is the desperate option.

I do not recommend to use --force with pacman -Syu; doing such a thing is extremely risky and might actually break your system even more than fixing it. Here’s what we could do to fix this awkward situation.

  1. Make sure that NetworkManager and pacman works fine. Recreate the symlink with so.5 in its name with ln -sf /usr/lib/libpsl.so.6 /usr/lib/libpsl.so.5 if needed.
  2. Manually download libpsl 0.19.1 package (.pkg.tar.xz) on https://archive.archlinux.org/packages/l/libpsl/.
  3. Install this local package with sudo pacman -U --force /path/to/your/local/package.pkg.tar.xz . The --force option will ignore file conflict and will overwrite your manually created symlink with the one included in the package.
  4. Now that libpsl.so.5 is both present in your system AND owned by libpsl package, verify again that NetworkManager and pacman works correctly.
  5. Verify that NO package are held back before updating your whole system.
  6. Update your whole system with sudo pacman -Syu. Do not use --force here.

(If someone has an idea to fix it without using --force, please share.)


#13

Thank you all for your efforts but I decided to go clean after 1 year more or less.I didn’t try the -force method though, didn’t have time. All the other suggestions failed. thank you anyway.


#14

And this means what??


#15

Install from scratch…


#16

I am not sure but maybe

sudo pacman -Syuu libpsl
sudo pacman -Syu

#17

I know that ahepas decided to reinstall his system from scratch, which means it isn’t necessary to try to find a solution anymore. I just wanted to clarify to petsam what sudo pacman -Syuu libpsl actually does. I have an idea of what you had in mind, but it would not have behave as you expected.

When you use -Syu option, you ask pacman to upgrade every packages that are in a lower version on your system than in repositories to the version available in repositories. You can use double u (-Syuu) to also allow pacman to downgrade every packages that are in a higher version on your system than in repositories to the version available in repositories (it doesn’t do that by default). When you add packages after -Syu (or -Syuu), you actually ask to install specified package in addition to upgrade (if -Syu) every package that are in a lower version on your system than in repos or upgrade/downgrade (if -Syuu) packages that are in a different version on your system than in repos.

With sudo pacman -Syuu libpsl, you’re actually asking pacman to upgrade/downgrade every packages that can be upgraded/downgraded to the version currently available in repositories and to install libpsl at the same time, all in one single operation.

sudo pacman -Syuu libpsl won’t simply downgrade libpsl package to an older version.


#18

Now I have learnt!
Thanks a lot!! :kissing_heart:


#19

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.